﻿//podpora zobrazeni MVC vygenerovanych prvku s chybami do BS 4

$(function () {

    //nastylovani summary validation ze server side po nacteni stranky
    StyleMvcSummaryErrorsAsBootstrap();

    //pri odeslani formulare
    $('form').submit(function () {

        //zobrazi nebo skryje div.invalid-feedback podle toho, jestli se v nem objevila chyba z MVC (.field-validation-error)
        $(this).find('div.invalid-feedback').each(function () {
            if ($(this).find('span.field-validation-error').length > 0) {
                console.log('show');
                $(this).show();
            }
            else if ($(this).find('span.field-validation-valid').length > 0) {
                $(this).hide();
            }
        });

        //nastylovani summary validation z client side
        if (!$(this).valid()) {
            $('.validation-summary-errors').each(function () {
                if (!$(this).hasClass('alert')) {
                    $(this).addClass('alert');
                    $(this).addClass('alert-danger');
                }
            });
        }
    });

});

var page = function () {
    //Update that validator
    //pokud je uz zobrazena chyba u kontrolky, pri psani do textboxu, pokud chyba pomine, se skryje i BS div.invalid-feedback (a naopak)
    $.validator.setDefaults({
        highlight: function (element) {
            $(element).siblings("div.invalid-feedback").show();
        },
        unhighlight: function (element) {
            $(element).siblings("div.invalid-feedback").hide();
        }
    });
}();

function StyleMvcSummaryErrorsAsBootstrap() {
    $('.validation-summary-errors').each(function () {
        $(this).addClass('alert');
        $(this).addClass('alert-danger');
    });
}